#
# spec file for package perl-Archive-Tar-Wrapper
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Archive-Tar-Wrapper
Version:        0.23
Release:        bp153.1.12
#Upstream: CHECK(GPL-1.0+ or Artistic-1.0)
%define cpan_name Archive-Tar-Wrapper
Summary:        API wrapper around the 'tar' utility
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Archive-Tar-Wrapper/
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSCHILLI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Which)
BuildRequires:  perl(IPC::Run)
BuildRequires:  perl(Log::Log4perl)
Requires:       perl(File::Which)
Requires:       perl(IPC::Run)
Requires:       perl(Log::Log4perl)
%{perl_requires}

%description
Archive::Tar::Wrapper is an API wrapper around the 'tar' command line
utility. It never stores anything in memory, but works on temporary
directory structures on disk instead. It provides a mapping between the
logical paths in the tarball and the 'real' files in the temporary
directory on disk.

It differs from Archive::Tar in two ways:

  * Archive::Tar::Wrapper doesn't hold anything in memory. Everything is stored
on disk.

  * Archive::Tar::Wrapper is 100% compliant with the platform's 'tar' utility,
because it uses it internally.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.23
  see /usr/share/doc/packages/perl-Archive-Tar-Wrapper/Changes
  0.23  (2015/05/28)
    (ms) Mark Gardner added separate skips in the test suite to deal
    with the absense of GNU tar:
    https://github.com/mschilli/archive-tar-wrapper-perl/pull/7
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.22
  see /usr/share/doc/packages/perl-Archive-Tar-Wrapper/Changes
  0.22  (2015/03/08)
    (ms) Added tar_gnu_write_options option suggested by Csaba Major with
    tests and docs.
  0.21  (2014/10/16)
    (ms) [rt.cpan.org 87536] Setting default umask to get predictable test
    results regardless of local umask settings.
  0.20  (2014/09/29)
    (ms) Ignore errors on chown/chgrp when files from different owners/groups
    are copied into a tarball, accept the limitation that they'll be
    owned by the script user unless we're running as superuser.
  0.19  (2014/02/16)
    (ms) RsrchBoy added support for bzip2-compressed tarfiles.
  0.18  (2013/07/15)
    (ms) Moved to tmpdir() in t/002Mult.t because some smoke testers don't
    like writing into t/data.
  0.17  (2013/07/01)
    (ms) Sanko Robinson replaced bin_find() by File::Which::which() to allow
    for better Win32 portability.
  0.16  (2012/03/19)
    (ms) [rt.cpan.org 75770] Allow add() with directories, and now preserves
    directory permissions.
  0.15  (2011/12/20)
    (ms) [RT 73046] Randy Stauner submitted a patch to reset the directory if a
    write() fails (e.g. because no files have been added).
    https://github.com/mschilli/archive-tar-wrapper-perl/pull/1
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.14
  * created by cpanspec 1.78.04
